%define		mod_name	auth_kerb
%define		apxs	/usr/sbin/apxs
Summary:	This is the Kerberos authentication module for Apache
Summary(pl.UTF-8):	Moduł uwierzytelnienia Kerberos dla Apache
Name:		apache-mod_%{mod_name}
Version:	5.4
Release:	8
Epoch:		1
License:	GPL
Group:		Networking/Daemons/HTTP
Source0:	http://dl.sourceforge.net/modauthkerb/mod_%{mod_name}-%{version}.tar.gz
# Source0-md5:	642b81763ad3ca81dba359cb952da5e3
Source1:	%{name}.conf
Patch0:		%{name}-heimdal.patch
Patch1:		%{name}-basic-auth.patch
Patch2:		mod_auth_kerb-apache24.patch
Patch3:		mod_auth_kerb-delegation.patch
URL:		http://modauthkerb.sourceforge.net/
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.0
BuildRequires:	gdbm-devel
BuildRequires:	heimdal-devel
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
Requires:	apache(modules-api) = %apache_modules_api
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		apacheconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)/conf.d
%define		apachelibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)

%description
This is an authentication module for Apache that allows you to
authenticate HTTP clients using user entries in an Kerberos directory.

%description -l pl.UTF-8
To jest moduł uwierzytelnienia dla Apache pozwalający na
uwierzytelnianie klientów HTTP z użyciem wpisów w katalogu Kerberosa.

%prep
%setup -q -n mod_%{mod_name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%configure \
	--without-krb4 \
	--with-apache=%{_prefix}

%{__sed} -i -e 's/-pthread/-lpthread/' Makefile
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{apachelibdir},%{apacheconfdir}}

install src/.libs/mod_%{mod_name}.so $RPM_BUILD_ROOT%{apachelibdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{apacheconfdir}/20_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc README
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{apacheconfdir}/*_mod_%{mod_name}.conf
%attr(755,root,root) %{apachelibdir}/*.so
%changelog
* Fri May 03 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/apache-mod_auth_kerb.git;a=log;h=master

* Fri May 03 2013 Jan Rękorajski <baggins@pld-linux.org> 96f5811
- rel 8
- build with apache 2.4

* Fri May 03 2013 Jan Rękorajski <baggins@pld-linux.org> 36671bd
- sane module load path
- added example config

* Fri May 03 2013 Jan Rękorajski <baggins@pld-linux.org> ab95f5e
- fix RHBZ#688210

* Fri May 03 2013 Jan Rękorajski <baggins@pld-linux.org> 4185008
- update for apache 2.4 API

* Wed Aug 03 2011 Jan Rękorajski <baggins@pld-linux.org> f9816f6
- release 7

* Wed Mar 23 2011 Jan Rękorajski <baggins@pld-linux.org> 7e2f545
- rel 6
- added basic-auth.patch with option to register as AuthType Basic
  (useful for mixing kerberos with other auth providers like ldap or file)

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 6517dd7
- release 5

* Mon Oct 04 2010 Jan Rękorajski <baggins@pld-linux.org> eb6fe6b
- rel 4

* Mon Apr 12 2010 Jan Rękorajski <baggins@pld-linux.org> e2d9d1b
- rel 3

* Mon Dec 14 2009 Jan Rękorajski <baggins@pld-linux.org> 26885ac
- rel 2

* Wed Dec 09 2009 Jan Rękorajski <baggins@pld-linux.org> 9a8b3ed
- gssapi_krb5.h is needed for heimdal, too

* Wed Dec 09 2009 Jan Rękorajski <baggins@pld-linux.org> 0de9d13
- 5.4

* Wed Dec 09 2009 Jan Rękorajski <baggins@pld-linux.org> 6f2097b
- rel 4

* Thu Jul 02 2009 Jan Rękorajski <baggins@pld-linux.org> 97e8002
- rel 3
- kill krb4 support
- switch to heimdal kerberos

* Sat Oct 25 2008 Paweł Gołaszewski <blues@pld-linux.org> 1e14559
- HTTP group

* Wed Dec 26 2007 Elan Ruusamäe <glen@pld-linux.org> f4686fe
- use apacheconfdir/apachelibdir macros

* Wed Dec 26 2007 Elan Ruusamäe <glen@pld-linux.org> 96dafc2
- use conf.d for apache config fragment; rel 2

* Sun Dec 09 2007 Elan Ruusamäe <glen@pld-linux.org> d286a0b
- apache-apxs -> %{apxs} in BR

* Thu Jun 07 2007 shadzik <shadzik@pld-linux.org> 2ff033f
- BR s@%{apxs}@apache-apxs@g

* Fri Apr 27 2007 Jakub Bogusz <qboosh@pld-linux.org> 43086c5
- CVE reference for 5.3

